## kicad 6.0.2%2Bdfsg

=== Documentation/CMakeLists.txt ===
#
#  This program source code file is part of KICAD, a free EDA CAD application.
#
#  Copyright (C) 2007-2020 Kicad Developers, see AUTHORS.txt for contributors.
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, you may find one here:
#  http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#  or you may search the http://www.gnu.org website for the version 2 license,
#  or you may write to the Free Software Foundation, Inc.,
#  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
#

if( DOXYGEN_FOUND )
    add_custom_target( doxygen-docs
        ${CMAKE_COMMAND} -E remove_directory Documentation/doxygen
        COMMAND ${DOXYGEN_EXECUTABLE}
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        COMMENT "building doxygen docs into directory Documentation/doxygen/html"
        )

    # Add the docset targets
    add_subdirectory( docset )
else()
    message( STATUS "WARNING: Doxygen not found - doxygen-docs (Source Docs) target not created" )
endif()

=== debian/control ===
Source: kicad
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
 Georges Khaznadar <georgesk@debian.org>,
Build-Depends:
 asciidoctor,
 cmake,
 chrpath,
 dblatex,
 debhelper-compat (= 13),
 dh-python,
 docbook-utils,
 docbook-xsl,
 doxygen,
 dpkg-dev (>= 1.16.1.1~),
 fonts-freefont-ttf,
 fonts-vlgothic,
 gettext,
 git,
 imagemagick,
 libocct-data-exchange-dev,
 libboost-date-time-dev,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-iostreams-dev,
 libboost-locale-dev,
 libboost-program-options-dev,
 libboost-regex-dev,
 libboost-system-dev,
 libboost-test-dev,
 libboost-thread-dev,
 libbz2-dev,
 libcairo2-dev,
 libcurl4-openssl-dev,
 libglew-dev,
 libglm-dev (>= 0.9.9.6-1~),
 libgtk-3-dev,
 liblocale-gettext-perl,
 libngspice0-dev,
 libpython3-dev,
 libssl-dev,
 libterm-readkey-perl,
 libtext-wrapi18n-perl,
 libunicode-linebreak-perl,
 libwxgtk3.0-gtk3-dev,
 libxml2-utils,
 lmodern,
 pkg-config,
 po4a,
 python3-all,
 python3-dev,
 python3-wxgtk4.0,
 source-highlight,
 swig,
 texlive-fonts-extra,
 texlive-lang-chinese,
 texlive-lang-cyrillic,
 texlive-lang-english,
 texlive-lang-european,
 texlive-lang-french,
 texlive-lang-german,
 texlive-lang-italian,
 texlive-lang-japanese,
 texlive-lang-other,
 texlive-lang-polish,
 texlive-lang-spanish,
 texlive-xetex,
 xmlto,
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad.git -b debian/sid
Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad/-/tree/debian/sid
Standards-Version: 4.6.0
Homepage: https://www.kicad.org

Package: kicad
Architecture: any-amd64 any-i386 arm64 armhf mips64el powerpc ppc64 ppc64el
Depends:
 libngspice0,
 python3-wxgtk4.0,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 extra-xdg-menus,
 kicad-doc-ca | kicad-doc-de | kicad-doc-en | kicad-doc-es | kicad-doc-fr | kicad-doc-id | kicad-doc-it | kicad-doc-ja | kicad-doc-pl | kicad-doc-ru | kicad-doc-zh,
 kicad-packages3d,
Recommends:
 kicad-libraries (>= 6.0.0~),
 kicad-demos (>= 6.0.0~),
 xsltproc,
Breaks:
 kicad-libraries (<< 6.0.0~),
 kicad-footprints (<< 6.0.0~),
 kicad-packages3d (<< 6.0.0~),
 kicad-symbols (<< 6.0.0~),
 kicad-templates (<< 6.0.0~),
Description: Electronic schematic and PCB design software
 Kicad is a suite of programs for the creation of printed circuit boards.
 It includes a schematic editor, a PCB layout tool, support tools and a
 3D viewer to display a finished & fully populated PCB.
 .
 Kicad is made up of 5 main components:
 .
  * kicad - project manager
  * eeschema - schematic editor
  * pcbnew - PCB editor
  * gerbview - GERBER viewer
  * cvpcb - footprint selector for components
 .
 Libraries:
  * Both eeschema and pcbnew have library managers and editors for their
    components and footprints
  * You can easily create, edit, delete and exchange library items
  * Documentation files can be associated with components, footprints and key
    words, allowing a fast search by function
  * Very large libraries are available for schematic components and footprints
  * Most components have corresponding 3D models

Package: kicad-demos
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 kicad (>= 6.0.0~),
Description: Demo projects for kicad
 The KiCad projects within this package are various typical small use cases
 which can be used for study or also for build own projects on top of these
 existing projects.
 .
 The projects included are on one side easy and simple projects with classical
 through hole mounted components with one or two layers but also rather more
 complex projects based on surface mounted devices (SMD) with multiple layers.

Package: kicad-doc-ca
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (Catalan)
 This package provides various documentation files for KiCad in Catalan, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * GSIK - Getting Started in KiCad
  * KiCad - The main project editor

Package: kicad-doc-de
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (German)
 This package provides various documentation files for KiCad in German, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * GUI Translation - HowTo Help to do GUI translation
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block

Package: kicad-doc-en
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (English)
 This package provides various documentation files for KiCad in English, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * GUI Translation - HowTo Help to do GUI translation
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * PcbCalculator - A tool for typical calculations while PCB designing
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block
  * Plugins - Introduction to the KiCad plugin system

Package: kicad-doc-es
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (Spanish)
 This package provides various documentation files for KiCad in Spanish, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * KiCad - The main project editor
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block

Package: kicad-doc-fr
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (French)
 This package provides various documentation files for KiCad in French, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GSIK - Getting Started in KiCad
  * KiCad - The main project editor
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block

Package: kicad-doc-id
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (Indonesian)
 This package provides various documentation files for KiCad in Indonesian, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * Eeschema - schematic capture editor
  * GSIK - Getting Started in KiCad
  * KiCad - The main project editor

Package: kicad-doc-it
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (Italian)
 This package provides various documentation files for KiCad in Italian, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * PcbCalculator - A tool for typical calculations while PCB designing
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block

Package: kicad-doc-ja
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (Japanese)
 This package provides various documentation files for KiCad in Japanese, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * GUI Translation - HowTo Help to do GUI translation
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block
  * Plugins - Introduction to the KiCad plugin system

Package: kicad-doc-pl
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (Polish)
 This package provides various documentation files for KiCad in Polish, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block

Package: kicad-doc-ru
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Kicad help files (Russian)
 This package provides various documentation files for KiCad in Russian, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * GUI Translation - HowTo Help to do GUI translation
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * PcbCalculator - A tool for typical calculations while PCB designing
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block
  * Plugins - Introduction to the KiCad plugin system

Package: kicad-doc-zh
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (Chinese)
 This package provides various documentation files for KiCad in German, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * GUI Translation - HowTo Help to do GUI translation
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * PcbCalculator - A tool for typical calculations while PCB designing
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block
  * Plugins - Introduction to the KiCad plugin system

Package: kicad-libraries
Architecture: all
Section: metapackages
Multi-Arch: foreign
Depends:
 kicad-footprints (>= 6.0.0~),
 kicad-symbols (>= 6.0.0~),
 kicad-templates (>= 6.0.0~),
 ${misc:Depends},
Suggests:
 kicad-packages3d (>= 6.0.0~),
Description: Virtual package providing common used libraries by kicad
 This package contains dependencies on the component libraries (schematics
 and footprints), and also on the templates that are used in KiCad.
 .
 If you prefer to control the installation of the dependent packages
  * kicad-footprint
  * kicad-symbols
  * kicad-templates
 you should not install kicad-libraries and install one or more of the above
 packages.
 .
